#/bin/bash

## Purpose: Demonstrating features of functions

var1="global value"

## Function: assign to global var1 temporarily a local value
function locally_mod_var ()
{
   local var1=${1}
   if [ -z "${var1}" ] ; then
      return 1
   fi
   echo "fct: local \${var1} = ${var1}"
   var1="new value in fct"
   echo "fct: local \${var1} = ${var1}"
}

echo "main: global \${var1} = ${var1}"
locally_mod_var "${var1}"
echo "main: global \${var1} = ${var1}"

