#include "mpi.h"

int main (int argc, char **argv){

  int rank,size;

  MPI_Init(&argc,&argv);
  MPI_Comm_rank(MPI_COMM_WORLD,&rank);
  MPI_Comm_size(MPI_COMM_WORLD,&size);

#pragma omp parallel 
  printf("Hello (thread %d of task %d is speaking)\n",omp_get_thread_num(),rank);	

  MPI_Finalize();

  return 0;
}
