#!/bin/bash

## Purpose: Define automatic output names for executables 

exe="./binary.x"

## Assume: $exe contains extension .x or .exe etc
sstr=".*"
log="${exe%${sstr}}.log"  # replace extension with .log
err="${exe%${sstr}}.err"  # replace extension with .err

## Define command: echo and run
echo "${exe} >> ${log} 2>> ${err}"
${exe} >> ${log} 2>> ${err}
